body {
  font-family: Arial;
  margin: 0;
  background: #03bbed;
}

/* HEADER */

header {
  background: linear-gradient(45deg, #ffea00, #1976d2, #04608b);
  color: white;
  text-align: center;
  padding: 40px;
}

.volver {
  color: white;
  text-decoration: none;
  display: inline-block;
  margin-top: 10px;
  font-weight: bold;
}

.titulo {
  text-align: center;
  margin-top: 40px;
  color: #263238;
}

/* CONTENEDOR */

.contenedor {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 25px;
  padding: 40px;
}

/* TARJETAS */

.card {
  background: white;
  border-radius: 14px;
  box-shadow: 0 12px 25px rgba(0, 0, 0, 0.12);
  overflow: hidden;
  transition: 0.3s;
  text-align: center;
}

.card:hover {
  transform: translateY(-6px);
  box-shadow: 0 18px 30px rgba(0, 0, 0, 0.18);
}

.card img {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.card h3 {
  padding: 12px;
  color: #1976d2;
}

.card p {
  padding: 0 12px;
  color: #555;
}

/* BOTONES */

.contacto {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 15px;
}

.contacto a {
  display: block;
  background: #fbc02d;
  color: black;
  padding: 12px;
  border-radius: 8px;
  text-decoration: none;
  font-weight: bold;
  text-align: center;
  transition: 0.2s;
}

.contacto a:hover {
  background: #1976d2;
  color: white;
}

/* FOOTER CENTRADO */

footer {
  background-color: #434d54;
  color: #fff;
  text-align: center;
  padding: 20px 10px;

  display: flex;
  flex-direction: column;
  align-items: center;
  /* centra el botón y texto */
}

.btn-inicio {
  display: inline-block;
  margin-bottom: 10px;
  padding: 10px 20px;
  background-color: #ffdd00;
  color: black;
  text-decoration: none;
  border-radius: 5px;
  font-weight: bold;
  transition: 0.3s;
}

.btn-inicio:hover {
  background-color: #595c30;
  color: white;
}

/* RESPONSIVE TABLET */

@media (max-width: 1000px) {
  .contenedor {
    grid-template-columns: repeat(2, 1fr);
    padding: 25px;
  }
}

/* RESPONSIVE CELULAR */

@media (max-width: 600px) {
  header {
    padding: 25px;
  }

  header h1 {
    font-size: 24px;
  }

  .titulo {
    font-size: 22px;
  }

  .contenedor {
    grid-template-columns: 1fr;
    padding: 20px;
    gap: 20px;
  }

  .card img {
    height: 220px;
  }

  .contacto a {
    padding: 14px;
    font-size: 16px;
  }
}
